# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.ui.dialog.checkbox

Extends CKEDITOR.ui.dialog.uiElement.
Defined in: plugins/dialogui/plugin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.ui.dialog.checkbox(dialog, elementDefinition, htmlList) A single checkbox with a label on the right.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| eventProcessors Defines the onChange event for UI element definitions.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| accessKeyUp() Handler for the access key up event.
| getInputElement() Gets the checkbox DOM element.
| getValue() Gets the state of the checkbox.
| setValue(true) Sets the state of the checkbox.

Methods borrowed from class CKEDITOR.ui.dialog.uiElement:
  accessKeyDown, disable, enable, focus, getDialog, getElement, isChanged, isEnabled, isFocusable, isVisible, registerEvents, selectParentTab

Class Detail
CKEDITOR.ui.dialog.checkbox(dialog, elementDefinition, htmlList)
Since: 3.0
A single checkbox with a label on the right.

Parameters:
{CKEDITOR.dialog} dialog
  Parent dialog object.
{CKEDITOR.dialog.uiElementDefinition} elementDefinition
  The element definition. Accepted fields:
  - checked (Optional) Whether the checkbox is checked on instantiation. Defaults to false.
  - validate (Optional) The validation function.
  - label (Optional) The checkbox label.
{Array} htmlList
  List of HTML code to output to.

Field Detail
{Object} eventProcessors
Since: 3.0
Defines the onChange event for UI element definitions.
Method Detail
{Undefined} accessKeyUp()
Since: 3.0
Handler for the access key up event. Toggles the checkbox.

{CKEDITOR.dom.element} getInputElement()
Since: 3.0
Gets the checkbox DOM element.

Returns:
  {CKEDITOR.dom.element} The DOM element of the checkbox.

{Boolean} getValue()
Since: 3.0
Gets the state of the checkbox.

Returns:
  {Boolean} true means the checkbox is ticked, false means it's not ticked.

{Undefined} setValue(true)
Since: 3.0
Sets the state of the checkbox.

Parameters:
{Boolean} true
  to tick the checkbox, false to untick it.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.